<bugID>563730<Summary>Create "tab-like" sticky buttons for frequently used web applications</Summary><Description>App tabs are special tabs, usually without a label, that are sticky and allow quick access to commonly accessed web applications.

While these will look like tab they don't necessarily need to be real tabs, nor to have the full behaviors of common tabs (detach, bookmark, scroll and so on), they could also have new behaviors.

A simple approach adds just a contextual "make app tab" menuitem to common tabs.
Drag and drop could be a plus.

since Tabbar is a toolbar, we could preserver customizability by allowing the user to put app tabs where he wants. This (and easier different behaviors and drag&amp;drop) could maybe be obtained by creating a special app-tabs-container element, moveable across the toolbars (and the new tab toolbar).</Description></bugID>